aboutsummaryrefslogtreecommitdiffstats
path: root/package/network/utils/umbim/files
diff options
context:
space:
mode:
authorJohn Crispin <john@openwrt.org>2014-10-08 08:01:20 +0000
committerJohn Crispin <john@openwrt.org>2014-10-08 08:01:20 +0000
commit90120bb7712361d67edb84faee78f2b191e1158b (patch)
tree09269a89a6d98cd7f0c5589f07ff37556b896e1c /package/network/utils/umbim/files
parent1df98fcd5adbf50c9fb0d2718879616d0e3c67b8 (diff)
downloadupstream-90120bb7712361d67edb84faee78f2b191e1158b.tar.gz
upstream-90120bb7712361d67edb84faee78f2b191e1158b.tar.bz2
upstream-90120bb7712361d67edb84faee78f2b191e1158b.zip
wwan: add a generic 3g/4g proto
this proto handler will detect which of 3g, qmi, mbim, ncm or directip you need for a stick and setup uci automagically Signed-off-by: John Crispin <blogic@openwrt.org> SVN-Revision: 42837
Diffstat (limited to 'package/network/utils/umbim/files')
-rwxr-xr-xpackage/network/utils/umbim/files/lib/netifd/proto/mbim.sh15
1 files changed, 10 insertions, 5 deletions
diff --git a/package/network/utils/umbim/files/lib/netifd/proto/mbim.sh b/package/network/utils/umbim/files/lib/netifd/proto/mbim.sh
index 8ece662116..010a3a2527 100755
--- a/package/network/utils/umbim/files/lib/netifd/proto/mbim.sh
+++ b/package/network/utils/umbim/files/lib/netifd/proto/mbim.sh
@@ -1,9 +1,10 @@
#!/bin/sh
-. /lib/functions.sh
-. ../netifd-proto.sh
-init_proto "$@"
-
+[ -n "$INCLUDE_ONLY" ] || {
+ . /lib/functions.sh
+ . ../netifd-proto.sh
+ init_proto "$@"
+}
#DBG=-v
proto_mbim_init_config() {
@@ -26,6 +27,8 @@ proto_mbim_setup() {
local device apn pincode delay
json_get_vars device apn pincode delay auth username password
+ [ -n "$ctl_device" ] && device=$ctl_device
+
[ -n "$device" ] || {
echo "mbim[$$]" "No control device specified"
proto_notify_error "$interface" NO_DEVICE
@@ -144,6 +147,8 @@ proto_mbim_teardown() {
json_get_vars device
local tid=$(uci_get_state network $interface tid)
+ [ -n "$ctl_device" ] && device=$ctl_device
+
echo "mbim[$$]" "Stopping network"
[ -n "$tid" ] && {
umbim $DBG -t$tid -d "$device" disconnect
@@ -154,4 +159,4 @@ proto_mbim_teardown() {
proto_send_update "$interface"
}
-add_protocol mbim
+[ -n "$INCLUDE_ONLY" ] || add_protocol mbim